ECDHPublicBCPGKey
Date: 2016-06-23

org.bouncycastle.bcpg

## Class ECDHPublicBCPGKey

- java.lang.Object
- - org.bouncycastle.bcpg.BCPGObject
  - - org.bouncycastle.bcpg.ECPublicBCPGKey
    - - org.bouncycastle.bcpg.ECDHPublicBCPGKey

- All Implemented Interfaces:
    BCPGKey, org.bouncycastle.util.Encodable

      public class ECDHPublicBCPGKey
      extends ECPublicBCPGKey

  base class for an ECDH Public Key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECDHPublicBCPGKey(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, org.bouncycastle.math.ec.ECPoint point, int hashAlgorithm, int symmetricKeyAlgorithm)`
    `ECDHPublicBCPGKey(BCPGInputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(BCPGOutputStream out)`
    `byte` | `getHashAlgorithm()`
    `byte` | `getReserved()`
    `byte` | `getSymmetricKeyAlgorithm()`

    - ### Methods inherited from class org.bouncycastle.bcpg.ECPublicBCPGKey

      `getCurveOID, getEncoded, getEncodedPoint, getFormat, readBytesOfEncodedLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECDHPublicBCPGKey

          public ECDHPublicBCPGKey(BCPGInputStream in)
                            throws java.io.IOException

      Parameters:
        `in` - the stream to read the packet from.
      Throws:
        `java.io.IOException`

    - #### ECDHPublicBCPGKey

          public ECDHPublicBCPGKey(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                           org.bouncycastle.math.ec.ECPoint point,
                           int hashAlgorithm,
                           int symmetricKeyAlgorithm)

  - ### Method Detail

    - #### getReserved

          public byte getReserved()

    - #### getHashAlgorithm

          public byte getHashAlgorithm()

    - #### getSymmetricKeyAlgorithm

          public byte getSymmetricKeyAlgorithm()

    - #### encode

          public void encode(BCPGOutputStream out)
                      throws java.io.IOException

      Overrides:
        `encode` in class `ECPublicBCPGKey`
      Throws:
        `java.io.IOException`